/* ========================================
 *  Hull - Hull.h
 *  Created 8/12/11 by SPIAdmin 
 *  Copyright (c) 2011 __MyCompanyName__, Airwindows uses the MIT license
 * ======================================== */

#ifndef __Hull_Hull_H
#define __Hull_Hull_H

#include "../../../configuration.h"
#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include "../common/airwin_consolidated_base.h"


namespace airwinconsolidated::Hull {
enum {
	kParamA = 0,
	kParamB = 1,
  kNumParameters = 2
}; //


class Hull final : public SfxCoreExtensionV1
{
public:
    Hull();
    ~Hull();
    void processBlock(float** inputs, float** outputs, int sampleFrames) override;
    int getParameterCount() const override;
    float getParameter(int index) override;
    void setParameter(int index, float value) override;
    void getParameterLabel(int index, char *text) override;
    void getParameterName(int index, char *text) override;
    void getParameterDisplay(int index, char *text) override;
private:
    
	double bL[4005];	
	double bR[4005];	
	int bPointer;
	double cL[105];
	double cR[105];
	int cPointer;

	uint32_t fpdL;
	uint32_t fpdR;
	//default stuff

    float A;
    float B;
};

} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS

#endif
